!> Demonstration module B
module source_file_with_uppercase_postfix

  !> Variable outside preprocessing directive
  integer :: myint

#ifdef MY_MACRO
  !> This integer should show up in documentation
  integer :: visible_int
#else
  !> This float should not show up in documentation
  real :: invisible_float
#endif

end module source_file_with_uppercase_postfix
